Katello - Bug #6736

Update Katello puppet modules to standard layout

07/22/2014 03:19 PM - Eric Helms

Status: Closed

Priority: Normal

Assignee: Eric Helms

Category:

Target version: Katello 2.1

Difficulty: easy Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

puppet-katello

puppet-gpid

puppet-pulp

puppet-candlepin
puppet-capsule
puppet-katello_devel
puppet-certs
puppet-elasticsearch

Associated revisions

Revision 2418bacd - 08/19/2014 12:55 PM - Eric Helms
Refs #6736: Update to standard layout and basic tests.

Revision 07b4f418 - 08/28/2014 08:23 AM - Eric Helms
Merge pull request #11 from ehelms/refs-6736
Refs #6736: Update to standard layout and basic tests.

Revision 63533eac - 09/24/2014 07:21 AM - Eric Helms
Refs #6736: Adding missing files for puppet skeleton layout.

Revision 995a9e4b - 09/24/2014 07:21 AM - Eric Helms
Refs #6736: Updating to standard layout and basic tests.

Revision 8251f24a - 09/24/2014 07:28 AM - Eric Helms
Refs #6736: Change Modulefile into a metadata.json file.

Revision 10b9c1b9 - 09/24/2014 08:17 AM - Eric D Helms
Merge pull request #27 from ehelms/refs-6736

Refs #6736: Updating to standard layout and basic tests.
Revision c868c8ae - 09/24/2014 08:17 AM - Eric D Helms
Merge pull request #12 from ehelms/refs-6736

Refs #6736: Change Modulefile into a metadata.json file.
Revision 0a47cfad - 09/24/2014 08:59 AM - Eric D Helms
Merge pull request #9 from ehelms/refs-6736

Refs #6736: Add missing files to create basic layout.

05/17/2024

1/3




Revision c7d309b6 - 09/24/2014 01:18 PM - Eric Helms
Refs #6736: Updates to standard layout and adds basic test.

Revision c7d309b6 - 09/24/2014 01:18 PM - Eric Helms
Refs #6736: Updates to standard layout and adds basic test.

Revision €585¢193 - 09/24/2014 01:22 PM - Eric Helms
Refs #6736: Updates to standard layout and basic test.

Revision b86ebaef - 09/24/2014 04:47 PM - Eric D Helms

Merge pull request #17 from ehelms/refs-6736

Refs #6736: Updates to standard layout and adds basic test.
Revision b86ebaef - 09/24/2014 04:47 PM - Eric D Helms

Merge pull request #17 from ehelms/refs-6736

Refs #6736: Updates to standard layout and adds basic test.
Revision 41859759 - 09/24/2014 04:47 PM - Eric D Helms

Merge pull request #30 from ehelms/refs-6736

Refs #6736: Updates to standard layout and basic test.

Revision dOeabcb2 - 10/10/2014 09:42 AM - Eric Helms

Refs #6736: Updates to standard layout and adds basic tests.

Revision 7307aa6b - 10/10/2014 02:49 PM - Eric Helms
Refs #6736: Update to standard layout and files.

Revision 9286a320 - 10/10/2014 02:50 PM - Eric D Helms
Merge pull request #36 from ehelms/refs-6736

Refs #6736: Updates to standard layout and adds basic tests.

Revision 4ced8320 - 10/13/2014 09:08 AM - Eric D Helms
Merge pull request #17 from Katello/refs-6736

Refs #6736: Update to standard layout and files.

History

#1 - 07/27/2014 06:19 PM - Eric Helms

- Subject changed from Add Puppet metadata.json files to Katello puppet modules to Add Puppet Modulefile files to Katello puppet modules

#2 - 07/27/2014 09:29 PM - Eric Helms

- Subject changed from Add Puppet Modulefile files to Katello puppet modules to Update Katello puppet modules to standard layout

- Target version set to 54

Use https:/github.com/garethr/puppet-module-skeleton as a basis for each module and add a basic initial test.

#3 - 08/18/2014 08:32 AM - Eric Helms

- Target version changed from 54 to 55

#4 - 09/08/2014 08:11 AM - Eric Helms

- Target version changed from 55 to 56

#5 - 09/27/2014 12:38 PM - Eric Helms

- Target version changed from 56 to 58
https://github.com/garethr/puppet-module-skeleton

#6 - 10/13/2014 04:13 PM - Eric Helms

- Status changed from Assigned to Closed

#7 - 11/21/2014 10:42 AM - Eric Helms

- translation missing: en.field_release set to 14
